Az Android 4.4-es frissítés problémákat okoz a microSD kártyáknál

2 8,646

Sajnos nincs olyan frissítés, amely tökéletes lenne, így van ez a Samsung esetében is. Alighogy a Samsung frissítette és elérhetővé tette a Galaxy S4 és Galaxy Note 3 készülékekhez a legfrissebb Android 4.4-es frissítést, kiderült, hogy a készülékekben lévő microSD kártyák tulajdonképpen használhatatlanná váltak.

Igazából nem a Samsung hibázott, hiszen az új Android 4.4-es rendszer egyik API-jával van a hiba. A Google természetesen megszabja ezeket a kódsorokat a gyártóknak, melyeket a Samsung követett is, azonban kiderült, hogy a fájlok írási vagy módosítási jogosultságát megtagadja a készülék a microSD kártyákon.

Ez azt jelenti, hogy a másodlagos tároló egység, vagyis a készülék beépített háttértára melletti microSD kártya jelenleg nem használható. Ha egy kicsit belemegyünk a geek nyelvbe, vagyis a Google saját nyelvébe, melyet a fejlesztőknek és partnereknek szánnak, akkor valami ilyet olvashatunk.

“The WRITE_EXTERNAL_STORAGE permission must only grant write access to the primary external storage on a device. Apps must not be allowed to write to secondary external storage devices, except in their package-specific directories as allowed by synthesized permissions.”

Az írási és módosítási eljárás az Android része, már a kezdetek óta, abba a gyártóknak nincs beleszólása. Reméljük a Google minél hamarabb kijavítja a hibát és elérhetővé teszik a szoftverfrissítést is a gyártók. Addig is, aki szeretné használni a készülékben lévő microSD kártyját, mert például nem elég a készülékbe épített háttérkapacitás, azok számára azt javasoljuk, ne frissítsenek még az Android 4.4-re.

Te mit gondolsz a hírrel kapcsolatban?
  •  
  •  
  •  
  •  
  •  
Az első Samsung rádiómagnómat még 6 éves koromban kaptam. Azóta is lenyűgöz a dél-koreai cég összes terméke. Igazi Samsung fanatikus vagyok, így szinte minden terméken, melyet használok, a gyönyörű Samsung logó virít!

2 hozzászólás

  1. Amit írtál az egyszerűen nem igaz!
    A Google megváltoztatta a biztonsági protokolt a külső kártya írási és olvasási engedélyezésére a
    4.4 KK. tol kezdődően.
    Az app fejlesztők nem csinálták meg a változtatásokat, mert eddig nem kapott külső kártyát használó telefon KitKat frissítést és nem tűnt fel senkinek a változás.
    Írtam több fejlesztőnek a probléma létezéséről és a többség 24 órán belül javította és simán használható a külső kártya.

    • Szia hanti! Akkor elmondhatnád azt is ,hogy kinek írtál,és hogy oldották meg a problémát!? :) nekem azt mondták,hogy csak root-tal lehet megoldani! Most komolyan kérlek segíts ha tudsz! Köszi

Szólj hozzá